#ifndef HTTPSERVER_HPP
#define HTTPSERVER_HPP

#include "../JuceLibraryCode/JuceHeader.h"
#include "ViewFormat.hpp"
#include "IHttp.hpp"

class HttpServer : public juce::Thread
{
public:
	HttpServer(int port, const char *pDocDir);
	~HttpServer(void);
	void addListener(IHttpListener *pListener);

private:
	int m_port;
	const char *m_docDir;
	ListenerList <IHttpListener> m_listeners;
	ViewFormat m_viewFormat;

	const char* getDocName(char *buffer, int buflen);
	void run();

};

#endif // HTTPSERVER
